summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e4043f8
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+srcdir="${0%/*}"
+
+{(
+ cd "${srcdir}"
+ [ -d build-aux ] || mkdir build-aux
+ cat >ChangeLog <<-EOF
+This file is generated upon release. Run \`git log\` for a list of changes.
+EOF
+ aclocal
+ autoconf
+ automake --add-missing --copy
+)}
+
+"${srcdir}/configure" "${@}"